%define		_class		MDB2
%define		_subclass	Driver_mssql
%define		_status		beta
%define		_pearname	MDB2_Driver_mssql
%define		subver	b4
%define		rel		1
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - mssql MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik mssql dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	0.%{subver}.%{rel}
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	beec37bcf584d2dfd4b098dbd9ae3c9a
URL:		http://pear.php.net/package/MDB2_Driver_mssql/
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.3.0
Requires:	php(mssql)
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.5.0-0.b4
Obsoletes:	php-pear-MDB2_Driver_mssql-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Microsoft SQL Server MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik Microsoft SQL Server dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/mssql.php
%{php_pear_dir}/MDB2/Driver/Manager/mssql.php
%{php_pear_dir}/MDB2/Driver/Native/mssql.php
%{php_pear_dir}/MDB2/Driver/Reverse/mssql.php
%{php_pear_dir}/MDB2/Driver/mssql.php
%{php_pear_dir}/MDB2/Driver/Function/mssql.php
%{php_pear_dir}/data/%{_pearname}
%changelog
* Wed Dec 19 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-MDB2_Driver_mssql.git;a=log;h=master

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> ce538fc
- updated to: 1.5.0-b4

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> b9b988c
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> b09c061
- use virtual php extension deps (to be independant of php version)
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 91cec0a
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 51c0cf4
- dropped -tests subpackage

* Tue Aug 31 2010 Elan Ruusamäe <glen@pld-linux.org> e20734e
- up to 1.5.0b3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 27d4a00
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 58a3529
- up to 1.3.0b2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> e6b1012
- rel 4

* Thu Dec 27 2007 Elan Ruusamäe <glen@pld-linux.org> 8a231ff
- rel 3

* Thu Dec 27 2007 Elan Ruusamäe <glen@pld-linux.org> 27b43b3
- files fix

* Fri Mar 16 2007 Elan Ruusamäe <glen@pld-linux.org> 1e19ada
- 1.2.0

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> 47f797f
- 1.1.2-stable; added -tests

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c4bf6c3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 669a7d8
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 65905fa
- rel 2: use php(extension) virtuals

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> a931b8d
- updated to 1.1.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 71c91c2
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 7f49ec8
- BR php-pear-PEAR

* Thu Feb 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 8c2bd94
- updated md5

